# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::PlyLoader::PlyElement Class Reference

Used by PlyLoader. More...

`#include <ioPLY.hpp>`

Inheritance diagram for vl::PlyLoader::PlyElement:

List of all members.

## Public Member Functions

| PlyElement ()
const String & | name () const
void | setName (const String &name)
const std::vector< ref < PlyPropertyAbstract > > & | properties () const
std::vector< ref < PlyPropertyAbstract > > & | properties ()
int | elemCount () const
void | setElemCount (int count)
virtual void | read (VirtualFile *file, bool le)
virtual void | read (TextStream *text)
fvec3 | getVertex () const
fvec3 | getNormal () const
ubvec4 | getColor () const
void | analyze ()

## Protected Attributes

std::vector< ref < PlyPropertyAbstract > > | mProperties
std::vector< ref< PlyScalar > > | mVertex
std::vector< ref< PlyScalar > > | mNormal
std::vector< ref< PlyScalar > > | mColor
String | mName
int | mElemCount

## Detailed Description

Used by PlyLoader.

Definition at line 183 of file ioPLY.hpp.

## Constructor & Destructor Documentation

vl::PlyLoader::PlyElement::PlyElement | ( | ) | `[inline]`

Definition at line 186 of file ioPLY.hpp.

## Member Function Documentation

const String& vl::PlyLoader::PlyElement::name | ( | ) | const`[inline]`

Definition at line 187 of file ioPLY.hpp.

Referenced by vl::PlyLoader::newElement().

void vl::PlyLoader::PlyElement::setName | ( | const String & | name ) | `[inline]`

Definition at line 188 of file ioPLY.hpp.

const std::vector< ref<PlyPropertyAbstract> >& vl::PlyLoader::PlyElement::properties | ( | ) | const`[inline]`

Definition at line 189 of file ioPLY.hpp.

Referenced by vl::PlyLoader::newElement().

std::vector< ref<PlyPropertyAbstract> >& vl::PlyLoader::PlyElement::properties | ( | ) | `[inline]`

Definition at line 190 of file ioPLY.hpp.

int vl::PlyLoader::PlyElement::elemCount | ( | ) | const`[inline]`

Definition at line 191 of file ioPLY.hpp.

void vl::PlyLoader::PlyElement::setElemCount | ( | int | count ) | `[inline]`

Definition at line 192 of file ioPLY.hpp.

virtual void vl::PlyLoader::PlyElement::read | ( | VirtualFile * | file,
|  | bool | le
| ) |  | `[inline, virtual]`

Definition at line 193 of file ioPLY.hpp.

virtual void vl::PlyLoader::PlyElement::read | ( | TextStream * | text ) | `[inline, virtual]`

Definition at line 198 of file ioPLY.hpp.

fvec3 vl::PlyLoader::PlyElement::getVertex | ( | ) | const`[inline]`

Definition at line 203 of file ioPLY.hpp.

References vl::Vector3< T_Scalar >::x(), vl::Vector3< T_Scalar >::y(), and vl::Vector3< T_Scalar >::z().

Referenced by vl::PlyLoader::newElement().

fvec3 vl::PlyLoader::PlyElement::getNormal | ( | ) | const`[inline]`

Definition at line 211 of file ioPLY.hpp.

References vl::Vector3< T_Scalar >::x(), vl::Vector3< T_Scalar >::y(), and vl::Vector3< T_Scalar >::z().

Referenced by vl::PlyLoader::newElement().

ubvec4 vl::PlyLoader::PlyElement::getColor | ( | ) | const`[inline]`

Definition at line 219 of file ioPLY.hpp.

References vl::Vector4< T_Scalar >::a(), vl::Vector4< T_Scalar >::b(), vl::Vector4< T_Scalar >::g(), and vl::Vector4< T_Scalar >::r().

Referenced by vl::PlyLoader::newElement().

void PlyLoader::PlyElement::analyze | ( | ) |

Definition at line 133 of file ioPLY.cpp.

References vl::PlyLoader::PlyPropertyAbstract::name(), and VL_CHECK.

## Member Data Documentation

std::vector< ref<PlyPropertyAbstract> > vl::PlyLoader::PlyElement::mProperties`[protected]`

Definition at line 230 of file ioPLY.hpp.

std::vector< ref<PlyScalar> > vl::PlyLoader::PlyElement::mVertex`[protected]`

Definition at line 231 of file ioPLY.hpp.

std::vector< ref<PlyScalar> > vl::PlyLoader::PlyElement::mNormal`[protected]`

Definition at line 232 of file ioPLY.hpp.

std::vector< ref<PlyScalar> > vl::PlyLoader::PlyElement::mColor`[protected]`

Definition at line 233 of file ioPLY.hpp.

String vl::PlyLoader::PlyElement::mName`[protected]`

Definition at line 234 of file ioPLY.hpp.

int vl::PlyLoader::PlyElement::mElemCount`[protected]`

Definition at line 235 of file ioPLY.hpp.

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/ioPLY.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/ioPLY.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.